Index: cpukit/libblock/ChangeLog
===================================================================
--- cpukit/libblock/ChangeLog	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/ChangeLog	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -1,2 +1,8 @@
+2004-01-08  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* include/rtems/blkdev.h, include/rtems/ide_part_table.h,
+	src/bdbuf.c, src/ide_part_table.c, src/ramdisk.c: 
+	Switch to using c99 fixed size types instead of RTEMS-types.
+
 2004-01-08  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libblock/include/rtems/blkdev.h
===================================================================
--- cpukit/libblock/include/rtems/blkdev.h	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/include/rtems/blkdev.h	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -28,5 +28,5 @@
 
 /* Block device block number datatype */
-typedef rtems_unsigned32 blkdev_bnum;
+typedef uint32_t   blkdev_bnum;
 
 /* Block device request type */
@@ -52,5 +52,5 @@
  */
 typedef struct blkdev_sg_buffer {
-    rtems_unsigned32 length;  /* Buffer length */
+    uint32_t   length;  /* Buffer length */
     void            *buffer;  /* Buffer pointer */
 } blkdev_sg_buffer;
@@ -68,6 +68,6 @@
                                 */
     blkdev_bnum       start;    /* Start block number */
-    rtems_unsigned32  count;    /* Number of blocks to be exchanged */
-    rtems_unsigned32  bufnum;   /* Number of buffers provided */    
+    uint32_t    count;    /* Number of blocks to be exchanged */
+    uint32_t    bufnum;   /* Number of buffers provided */    
     
     blkdev_sg_buffer  bufs[0];/* List of scatter/gather buffers */
Index: cpukit/libblock/include/rtems/ide_part_table.h
===================================================================
--- cpukit/libblock/include/rtems/ide_part_table.h	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/include/rtems/ide_part_table.h	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -80,6 +80,6 @@
 typedef struct sector_data_s 
 {
-    unsigned32 sector_num; /* sector number on the device */
-    unsigned8  data[0]; /* raw sector data */
+    uint32_t   sector_num; /* sector number on the device */
+    uint8_t    data[0]; /* raw sector data */
 } sector_data_t;
 
@@ -116,10 +116,10 @@
  */
 typedef struct part_desc_s {
-    unsigned8           bootable; /* is the partition active */
-    unsigned8           sys_type; /* type of partition */
-    unsigned8           log_id; /* logical number of partition */
-    unsigned32          start; /* first partition sector, in absolute numeration */
-    unsigned32          size; /* size in sectors */
-    unsigned32          end; /* last partition sector, end = start + size - 1 */
+    uint8_t             bootable; /* is the partition active */
+    uint8_t             sys_type; /* type of partition */
+    uint8_t             log_id; /* logical number of partition */
+    uint32_t            start; /* first partition sector, in absolute numeration */
+    uint32_t            size; /* size in sectors */
+    uint32_t            end; /* last partition sector, end = start + size - 1 */
     struct disk_desc_s *disk_desc; /* descriptor of disk, partition contains in */
     struct part_desc_s *ext_part; /* extended partition containing this one */
@@ -135,9 +135,9 @@
 
     /* device name in /dev filesystem */
-    unsigned8    dev_name[RTEMS_IDE_PARTITION_DEV_NAME_LENGTH_MAX];
+    uint8_t      dev_name[RTEMS_IDE_PARTITION_DEV_NAME_LENGTH_MAX];
 
-    unsigned32   sector_size; /* size of sector */
-    unsigned32   sector_bits; /* the base-2 logarithm of sector_size */
-    unsigned32   lba_size; /* total amount of sectors in lba address mode */
+    uint32_t     sector_size; /* size of sector */
+    uint32_t     sector_bits; /* the base-2 logarithm of sector_size */
+    uint32_t     lba_size; /* total amount of sectors in lba address mode */
     int          last_log_id; /* used for logical disks enumerating */
 
Index: cpukit/libblock/src/bdbuf.c
===================================================================
--- cpukit/libblock/src/bdbuf.c	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/src/bdbuf.c	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -24,5 +24,5 @@
 
 /* Fatal errors: */
-#define BLKDEV_FATAL_ERROR(n) (((unsigned32)'B' << 24) | ((unsigned32)(n) & (unsigned32)0x00FFFFFF))
+#define BLKDEV_FATAL_ERROR(n) (((uint32_t)'B' << 24) | ((uint32_t)(n) & (uint32_t)0x00FFFFFF))
 #define BLKDEV_FATAL_BDBUF_CONSISTENCY BLKDEV_FATAL_ERROR(1)
 #define BLKDEV_FATAL_BDBUF_SWAPOUT     BLKDEV_FATAL_ERROR(2)
Index: cpukit/libblock/src/ide_part_table.c
===================================================================
--- cpukit/libblock/src/ide_part_table.c	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/src/ide_part_table.c	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -47,5 +47,5 @@
  */
 static rtems_status_code
-get_sector(dev_t dev, unsigned32 sector_num, sector_data_t **sector) 
+get_sector(dev_t dev, uint32_t sector_num, sector_data_t **sector) 
 {
     sector_data_t      *s;
@@ -95,5 +95,5 @@
 msdos_signature_check (sector_data_t *sector) 
 {
-    unsigned8 *p = sector->data + RTEMS_IDE_PARTITION_MSDOS_SIGNATURE_OFFSET;
+    uint8_t *p = sector->data + RTEMS_IDE_PARTITION_MSDOS_SIGNATURE_OFFSET;
 
     return ((p[0] == RTEMS_IDE_PARTITION_MSDOS_SIGNATURE_DATA1) &&
@@ -113,5 +113,5 @@
  */
 static rtems_boolean
-is_extended(unsigned8 type) 
+is_extended(uint8_t type) 
 {
     return ((type == EXTENDED_PARTITION) || (type == LINUX_EXTENDED));
@@ -129,7 +129,7 @@
  */
 static rtems_boolean
-is_fat_partition(unsigned8 type) 
-{
-  static const unsigned8 fat_part_types[] = {
+is_fat_partition(uint8_t type) 
+{
+  static const uint8_t fat_part_types[] = {
     DOS_FAT12_PARTITION,DOS_FAT16_PARTITION,
     DOS_P32MB_PARTITION,
@@ -157,8 +157,8 @@
  */
 static rtems_status_code
-data_to_part_desc(unsigned8 *data, part_desc_t **new_part_desc)
+data_to_part_desc(uint8_t *data, part_desc_t **new_part_desc)
 {
     part_desc_t *part_desc;
-    unsigned32   temp;
+    uint32_t     temp;
 
     if (new_part_desc == NULL)
@@ -180,8 +180,8 @@
 
     /* due to incorrect data alignment one have to align data first */
-    memcpy(&temp, data + RTEMS_IDE_PARTITION_START_OFFSET, sizeof(unsigned32));
+    memcpy(&temp, data + RTEMS_IDE_PARTITION_START_OFFSET, sizeof(uint32_t));
     part_desc->start = LE_TO_CPU_U32(temp);
 
-    memcpy(&temp, data + RTEMS_IDE_PARTITION_SIZE_OFFSET, sizeof(unsigned32));
+    memcpy(&temp, data + RTEMS_IDE_PARTITION_SIZE_OFFSET, sizeof(uint32_t));
     part_desc->size = LE_TO_CPU_U32(temp);
 
@@ -220,11 +220,11 @@
  */
 static rtems_status_code
-read_extended_partition(unsigned32 start, part_desc_t *ext_part) 
+read_extended_partition(uint32_t start, part_desc_t *ext_part) 
 {
     int                 i;
     dev_t               dev;
     sector_data_t      *sector;
-    unsigned32          here;
-    unsigned8          *data;
+    uint32_t            here;
+    uint8_t            *data;
     part_desc_t        *new_part_desc;
     rtems_status_code   rc;
@@ -320,5 +320,5 @@
     sector_data_t      *sector;
     part_desc_t        *part_desc;
-    unsigned8          *data;
+    uint8_t            *data;
     rtems_status_code   rc;
     dev_t               dev = disk_desc->dev;
Index: cpukit/libblock/src/ramdisk.c
===================================================================
--- cpukit/libblock/src/ramdisk.c	(revision 4056604fb714e3595f3150d961eb1ca66ce46e4c)
+++ cpukit/libblock/src/ramdisk.c	(revision c01d95b7751a42434b7fa8cd65d7a75f3f44e0e2)
@@ -52,7 +52,7 @@
 {
     char *from;
-    rtems_unsigned32 i;
+    uint32_t   i;
     blkdev_sg_buffer *sg;
-    rtems_unsigned32 remains;
+    uint32_t   remains;
     
     from = (char *)rd->area + (req->start * rd->block_size);
@@ -87,7 +87,7 @@
 {
     char *to;
-    rtems_unsigned32 i;
+    uint32_t   i;
     blkdev_sg_buffer *sg;
-    rtems_unsigned32 remains;
+    uint32_t   remains;
     
     to = (char *)rd->area + (req->start * rd->block_size);
